Index: ram/lcdlbls.c
===================================================================
--- ram/lcdlbls.c	(revision df097bf59e892ec2e9bbb4a5696044afa1d5bf16)
+++ ram/lcdlbls.c	(revision 05806159f2593192d6ed2fca28358480a2383c67)
@@ -48,8 +48,8 @@
 
 */
-extern	char	gain2eq();
-
-extern	short	nokey();
-extern	short	setsr();
+extern	char	gain2eq(short gain);
+
+extern	short	nokey(void);
+extern	unsigned	setsr(unsigned sr);
 
 extern	short	(*d_key)();
@@ -125,7 +125,21 @@
 /* forward references */
 
-short	l_prmtr(), l_other(), l_voice(), l_init(), l_clock(), l_eq();
-short	trapper(), setlamp(), rpctl(), quiet();
-short	l_group(), l_dflt(), l_inst(), l_goto(), l_asgn(), l_adfl(), l_load();
+void	l_prmtr(short stat, short sig);
+void	l_other(short stat, short sig);
+void	l_voice(short stat, short vce);
+void	l_init(short stat, short sig);
+void	l_clock(short stat);
+void	l_eq(short stat, short sig);
+void	trapper(short stat);
+void	setlamp(stat);
+void	rpctl(short stat);
+void	quiet(void);
+void	l_group(short stat, short grp);
+void	l_dflt(short stat);
+void	l_inst(short stat);
+void	l_goto(short stat);
+void	l_asgn(short stat);
+void	l_adfl(short stat);
+void	l_load(short stat);
 
 /* initialized stuff */
@@ -432,6 +446,5 @@
 */
 
-short
-quiet()
+void quiet(void)
 {
 	register short vce;
@@ -456,7 +469,5 @@
 */
 
-short
-rpctl(stat)
-short stat;
+void rpctl(short stat)
 {
 	if (NOT stat)
@@ -477,7 +488,5 @@
 */
 
-short
-trapper(stat)
-short stat;
+void trapper(short stat)
 {
 	if (stat)
@@ -491,7 +500,5 @@
 */
 
-short
-l_clock(stat)
-short stat;
+void l_clock(short stat)
 {
 	if (NOT stat)
@@ -508,5 +515,5 @@
 */
 
-ulamp()
+void ulamp(void)
 {
 	if ((sliders EQ LS_VOICE) OR (sliders EQ LS_INST))
@@ -534,5 +541,5 @@
 */
 
-preio()
+void preio(void)
 {
 	short oldipl;
@@ -554,5 +561,5 @@
 */
 
-postio()
+void postio(void)
 {
 	short oldipl;
@@ -581,6 +588,5 @@
 */
 
-short
-setlamp(stat)
+void setlamp(stat)
 {
 	register short oldi;
@@ -615,5 +621,5 @@
 */
 
-lcd_on()
+void lcd_on(void)
 {
 	register short oldi;
@@ -637,6 +643,5 @@
 */
 
-loadkey(key)
-short key;
+void loadkey(short key)
 {
 	if (NOT astat)
@@ -675,6 +680,5 @@
 */
 
-pcancel(pm)
-short pm;
+void pcancel(short pm)
 {
 	point = GLCplot;		/* setup to plot on LCD */
@@ -725,7 +729,5 @@
 */
 
-short
-l_load(stat)
-short stat;
+void l_load(short stat)
 {
 	if (NOT stat)
@@ -805,5 +807,5 @@
 */
 
-lcdlbls()
+void lcdlbls(void)
 {
 	register short i, barval;
@@ -968,6 +970,5 @@
 */
 
-selasg(n)
-short n;
+void selasg(short n)
 {
 	register struct s_entry *ep;
@@ -1022,7 +1023,5 @@
 */
 
-short
-l_adfl(stat)
-short stat;
+void l_adfl(short stat)
 {
 	if (NOT stat)
@@ -1042,7 +1041,5 @@
 */
 
-short
-l_asgn(stat)
-short stat;
+void l_asgn(short stat)
 {
 	if (NOT stat)			/* only do this on key closure */
@@ -1117,7 +1114,5 @@
 */
 
-short
-l_inst(stat)
-short stat;
+void l_inst(short stat)
 {
 	if (NOT stat)
@@ -1196,6 +1191,5 @@
 */
 
-selins(ival)
-register short ival;
+void selins(short ival)
 {
 	register short n;
@@ -1259,7 +1253,5 @@
 */
 
-short
-l_dflt(stat)
-short stat;
+void l_dflt(short stat)
 {
 	if (NOT stat)
@@ -1279,7 +1271,5 @@
 */
 
-short
-l_goto(stat)
-short stat;
+void l_goto(short stat)
 {
 	if (NOT stat)			/* only do this on key closure */
@@ -1355,8 +1345,5 @@
 */
 
-newpps(trg, grp, src, ival)
-register short trg;
-short grp, src;
-register short ival;
+void newpps(short trg, short grp, short src, short ival)
 {
 	register struct sment *smf, *smp;
@@ -1432,8 +1419,5 @@
 */
 
-short
-newsv(grp, src, ival)
-short grp, src;
-register short ival;
+short newsv(short grp, short src, short ival)
 {
 	register struct sment *smf, *smp;
@@ -1526,7 +1510,5 @@
 */
 
-setsv(grp, src, ival)
-short grp, src;
-register short ival;
+void setsv(short grp, short src, short ival)
 {
 	register struct sment *smf, *smp;
@@ -1600,7 +1582,5 @@
 */
 
-short
-l_prmtr(stat, sig)
-short stat, sig;
+void l_prmtr(short stat, short sig)
 {
 	if (NOT stat)
@@ -1639,7 +1619,5 @@
 */
 
-short
-l_voice(stat, vce)
-short stat, vce;
+void l_voice(short stat, short vce)
 {
 	register short ap, j, par;
@@ -1687,7 +1665,5 @@
 */
 
-short
-l_group(stat, grp)
-short stat, grp;
+void l_group(short stat, short grp)
 {
 	char buf[8];
@@ -1712,7 +1688,5 @@
 */
 
-short
-l_other(stat, sig)
-short stat, sig;
+void l_other(short stat, short sig)
 {
 	if (NOT stat)
@@ -1735,7 +1709,5 @@
 */
 
-short
-l_eq(stat, sig)
-short stat, sig;
+void l_eq(short stat, short sig)
 {
 	if (NOT stat)
@@ -1762,5 +1734,5 @@
 */
 
-artclr()
+void artclr(void)
 {
 	register short i;
@@ -1780,7 +1752,5 @@
 */
 
-short
-l_init(stat, sig)
-short stat, sig;
+void l_init(short stat, short sig)
 {
 	register unsigned *fpu;
@@ -1862,6 +1832,5 @@
 */
 
-sendart(vce, par, ival)
-short vce, par, ival;
+void sendart(short vce, short par, short ival)
 {
 	register unsigned *fpu;
@@ -1934,5 +1903,5 @@
 */
 
-doslide()
+void doslide(void)
 {
 	register short arp, bar, barval, i, slval;
@@ -2046,6 +2015,5 @@
 */
 
-settmpo(val)
-short val;
+void settmpo(short val)
 {
 	register short timeval;
@@ -2068,5 +2036,5 @@
 */
 
-settune()
+void settune(void)
 {
 	register short oldi, i, grp;
